//
// Added 7/7/2017 8:37:42 PM
//
// Use 'ImageTouched' to detect 'current' object compare to values such as iWinbutton0
// to determine the object for which a touch has just been detected.
//

switch(ImageTouched)
    case iSmartGauge1:

        if (TouchXpos >= 450)
            if (TouchYpos < 78) listIsShown := !listIsShown;
        else if (listIsShown)
            if (TouchYpos >= 150 && TouchYpos < 195)
                selectedPrecision := UNIT_MM;
            else if (TouchYpos >= 200 && TouchYpos < 240)
                selectedPrecision := UNIT_CM;
            endif
        endif

        WriteObject(tSmartGauge, 1, ((2 * listIsShown) + selectedPrecision) * 101 + currentVal);
        ImageTouched := -1;
        break;

    case iSmartGauge2:

        if (TouchXpos >= 450)
            if (TouchYpos < 78) listIsShown1 := !listIsShown1;
        else if (listIsShown1)
            if (TouchYpos >= 150 && TouchYpos < 195)
                selectedTemperatureUnit := UNIT_DEGC;
                currentTemperature := img_GetWord(hndl, iSmartKnob0, IMAGE_INDEX);
            else if (TouchYpos >= 200 && TouchYpos < 240)
                selectedTemperatureUnit := UNIT_DEGF;
                currentTemperature := degCtodegF(img_GetWord(hndl, iSmartKnob0, IMAGE_INDEX));
            endif
        endif

        WriteObject(tSmartGauge, 2, ((2 * listIsShown1) + selectedTemperatureUnit) * 216 + currentTemperature);
        ImageTouched := -1;
        break;
endswitch
